<template lang="pug">
BaseParamList(ref='paramList' type='number'
  @edit="$emit('edit', $event)"
  :inEdit='inEdit' :value='$butils.isNil(value) ? firstValue : value')
  template(v-slot:title='p')
    strong {{ title }}
    BaseAnimationBlock
      .ml-2.mt-1.spinner-border.spinner-border-sm(v-if="$butils.isNil(operYears)"
        role='status' aria-hidden='true')
  template(v-slot:options='')
    option(v-if="allowEmpty" value='') any
    option(v-for="year in operYears" :value="year") {{ year }}
</template>
<script>

export { default } from './OperYearSelector.vue.js';

</script>
